Vraag Kan module "canberra-gtk-module" niet laden ... maar is al geïnstalleerd


Gtk-Message: Failed to load module "canberra-gtk-module"

maar ik heb al de libcanberra-gtk-module  en libcanberra-gtk3-module geïnstalleerd. (dat wil zeggen ik probeerde het deze oplossing, maar het is al geïnstalleerd.)

Dit gebeurt bijvoorbeeld wanneer ik ren ipython --pylab

Ik run Ubuntu 13.04 - raring.


79
2017-09-06 14:33


oorsprong




antwoorden:


Dit probleem kan optreden op een 64-bits computer wanneer een 32-bits software wordt geïnstalleerd die de CANBERRA-GTK-module vereist. acroread, kan dit probleem bijvoorbeeld veroorzaken. In dit geval is de oplossing om de 32-bits versie te installeren:

sudo apt-get install libcanberra-gtk-module:i386

Men zou de 64-bit-versie moeten verlaten en ook nodig is voor 64-bit-programma's die het proberen te gebruiken.


75
2017-09-24 21:50



Ik heb een 32-bits systeem, dus ik denk niet dat dit van toepassing is. Nog andere ideeën? Het is de Copy.com-client die de fout veroorzaakt. - endolith
Het herstelde mijn 32-bits Firefox op Ubuntu 64-bits. - Dielson Sales
Dit hielp niet voor mij. Ik heb het ook geprobeerd sudo apt-get remove libcanberra-gtk-module voor sudo apt-get install libcanberra-gtk-module:i386, werkt nog steeds niet. - Mads Skjern
Werkt niet voor mij. - dspacejs


installeer gtk en gtk3 module zou het moeten oplossen.

sudo apt install libcanberra-gtk-module libcanberra-gtk3-module

54
2018-01-16 03:54



Voor mij sudo apt-get install libcanberra-gtk-module werkte prima - NZD
Hier ook. Probleem opgelost. - SDsolar
Dit zou het geaccepteerde antwoord moeten zijn - Brij Raj Kishore
zelfde hier - sudo apt-get install libcanberra-gtk-module werkte prima - Banee Ishaque K
Dit werkte voor mij op Ubuntu 18 - Guus


Ik had hetzelfde probleem en los het op met de oplossing die hier wordt gegeven probleem met de launchpad.

sudo apt-get install --reinstall libcanberra-gtk-module

13
2018-02-10 14:29



Werkte niet voor mij. - Dan H
WAARSCHUWING: Gebruiker Paparazio meldde dat deze opdracht veel meer software verwijderde dan hij verwachtte. Zien zijn vraag voor details. - wjandrea


Misschien teveel, maar dit loste mijn probleem op:

$ sudo apt-get install libcanberra-gtk*

0
2017-10-24 21:46



vreselijk idee en zelfs die fout niet kwijt zijn geraakt toen ik het probeerde. - tatsu